| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
LayerComponentOptions Interface Reference
UIExtension » components » options

An interface describes all configuration options of layer component. More...

Inheritance diagram for LayerComponentOptions:

## Public Attributes
string HTMLElement | appendTo
| value of this parameter must be a well-format css selector string to find a element as the layer container box, layer will append to root component on showing if this container cannot be found. attribute name in layout-template: append-to More...
boolean | backdrop
| Whether or not to add a backdrop element below layer element. More...
boolean | modal
| Make this layer be a modal dialog box, if backdrop is true, modal will be forced to set to true. More...
Public Attributes inherited from ComponentOptions
boolean | active = false
| Initial activation state. More...
boolean | canBeDisabled =false
| Wheher or not this component can be disabled, if true, disable method will be not working. attribute name in layout-template: can-be-disabled. More...
string | cls = ''
| Specific a class attribute for the root element of a component. In the fragment config, it is writtern like this: new PDFUI({ fragments:[{ target: 'your component name', config: { cls: 'your-custom-css-class' } },...] }) and in layout-template, it's writtern like the this: <component-type class="your-custom-css-class"> </component-type> . More...
boolean | disabled =false
| initial disable state More...
boolean | visible = true
| Initial visibility state, if false, this component will be not displaying on screen after mounted. More...

## Detailed Description

An interface describes all configuration options of layer component.

Since
  7.0.0

## Member Data Documentation

## ◆ appendTo

string HTMLElement appendTo

value of this parameter must be a well-format css selector string to find a element as the layer container box, layer will append to root component on showing if this container cannot be found.
attribute name in layout-template: append-to

Since
  7.0.0

## ◆ backdrop

boolean backdrop

Whether or not to add a backdrop element below layer element.

Since
  7.0.0

## ◆ modal

boolean modal

Make this layer be a modal dialog box, if backdrop is true, modal will be forced to set to true.

Since
  7.0.0

@2025 Foxit Software Incorporated. All rights reserved.